WMWIFI(1)

NAME
wmwifi - A dockapp to monitor wireless signal strength.

SYNOPSIS
wmwifi [options]

DESCRIPTION
This manual page documents briefly the wmwifi command. This manual page was written for the Debian GNU/Linux distribution.

WMWiFi is a dockapp that is supported by X window managers such as Window Maker, AfterStep, BlackBox, and Enlightenment. It monitors all wireless network interfaces on your machine. The main screen displays the link (signal) strength between the currently selected card and your wireless access point as a percentage, and has an LCD look-alike user interface. The second screen diplays extended stats, which are: the current rate/speed in megabits, the noise (in dBm), the level (in dBm), and the actual link amount. Both screens toggle the interface name and the current associated access point at the top every 5 seconds. The back-light may be turned on/off by clicking the mouse button over the application. Mouse1 activates/deactivates the scrolling of the Wireless Interface Name / ESSID. Mouse2 switches the current wireless network interface. Mouse3 switches between standard and extended modes.

OPTIONS
This program follows the usual GNU command line syntax, with long options starting with two dashes (`-'). A summary of options is included below.

-d, --display <string>
    Attempt to open a window on the named X display. In the absence of this option, the display specified by the DISPLAY environment variable is used.

-bl, --backlight
    turn on back-light.

-lc, --light-color <color>
    back-light color. (default: rgb:6E/C6/3B)

-fg, --foreground-color <color>
    back-light color. (default: rgb:00/00/00)

-bg, --background-color <color>
    back-light color. (default: rgb:8E/96/8A)

-hc, --highlight-color <color>
    back-light color. (default: rgb:76/7C/6F)

-mt, --midtone-color <color>
    back-light color. (default: rgb:44/44/44)

-tc, --theme-classic
    Theme: use <= 0.5 style interface theme

-tn, --theme-new
    Theme: use updated (new) theme

-ts, --theme-snow
    Theme: use snow theme

-i, --interval <integer>
    sets update interval (in seconds)

-h, --help
    show help text and exit.

-v, --version
    show program version and exit.

-w, --windowed
    run the application in windowed mode

-bw, --broken-wm
    activate broken window manager fix

-l, --learn
    attempt max signal quality autodetection/learning for broken wireless drivers (ndiswrapper, prism54). *Note* this may break the max signal quality.

\+s, --scroll-on
    scroll the interface name and essid

\-s, --scroll-off
    use <= 0.5 style interface and essid (i.e. don't scroll)

AUTHOR
wmwifi was written by Jess Mahan <jess@digitalssg.net>. This manual page was written by Jess Mahan <jess@digitalssg.net>, for the Debian GNU/Linux system (but may be used by others).